﻿/* DEFAULTS
----------------------------------------------------------*/

body {
    background: #b6b7bc;
    font-size: .80em;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    margin: 0px;
    padding: 0px;
    color: #696969;
}

a:link, a:visited {
    color: #034af3;
}

a:hover {
    color: #1d60ff;
    text-decoration: none;
}

a:active {
    color: #034af3;
}

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/


h1, h2, h4, h5, h6 {
    font-size: 1.5em;
    color: #666666;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1 {
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2 {
    font-size: 1.5em;
    font-weight: 600;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page {
    width: 960px;
    background-color: #fff;
    margin: 20px auto 0px auto;
    border: 1px solid #496077;
}

.header {
    position: relative;
    margin: 0px;
    padding: 0px;
    background: #4b6c9e;
    width: 100%;
}

    .header h1 {
        font-weight: 700;
        margin: 0px;
        padding: 0px 0px 0px 20px;
        color: #f9f9f9;
        border: none;
        line-height: 2em;
        font-size: 2em;
    }

.main {
    padding: 0px 12px;
    margin: 12px 8px 8px 8px;
    min-height: 420px;
}

.leftCol {
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer {
    color: #4e5766;
    padding: 8px 0px 0px 0px;
    margin: 0px auto;
    text-align: center;
    line-height: normal;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink {
    background-color: #3a4f63;
    width: 100%;
}

div.menu {
    padding: 4px 0px 4px 8px;
}

    div.menu ul {
        list-style: none;
        margin: 0px;
        padding: 0px;
        width: auto;
    }

        div.menu ul li a, div.menu ul li a:visited {
            background-color: #465c71;
            border: 1px #4e667d solid;
            color: #dde4ec;
            display: block;
            line-height: 1.35em;
            padding: 4px 20px;
            text-decoration: none;
            white-space: nowrap;
        }

            div.menu ul li a:hover {
                background-color: #bfcbd6;
                color: #465c71;
                text-decoration: none;
            }

            div.menu ul li a:active {
                background-color: #465c71;
                color: #cfdbe6;
                text-decoration: none;
            }

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
    margin: 1em 0px;
    padding: 1em;
    border: 1px solid #ccc;
}

    fieldset p {
        margin: 2px 12px 10px 10px;
    }

    fieldset.login label, fieldset.register label, fieldset.changePassword label {
        display: block;
    }

    fieldset label.inline {
        display: inline;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

input.textEntry {
    width: 320px;
    border: 1px solid #ccc;
}

input.passwordEntry {
    width: 320px;
    border: 1px solid #ccc;
}

div.accountInfo {
    width: 42%;
}

/* MISC  
----------------------------------------------------------*/

.clear {
    clear: both;
}

.title {
    display: block;
    float: left;
    text-align: left;
    width: auto;
}

.loginDisplay {
    font-size: 1.1em;
    display: block;
    text-align: right;
    padding: 10px;
    color: White;
}

    .loginDisplay a:link {
        color: white;
    }

    .loginDisplay a:visited {
        color: white;
    }

    .loginDisplay a:hover {
        color: white;
    }

.failureNotification {
    font-size: 1.2em;
    color: Red;
}

.bold {
    font-weight: bold;
}

.submitButton {
    text-align: right;
    padding-right: 10px;
}

/* EXTJS CSS */

.icnEye {
    background-image: url( ../images/icons/icn_Eye.png) !important;
    background-repeat: no-repeat !important;
}

.icnEyeSlash {
    background-image: url( ../images/icons/icn_Eye1.png) !important;
    background-repeat: no-repeat !important;
}


.icnHelp {
    background-image: url( ../images/icons/icnHelp.png) !important;
    background-repeat: no-repeat !important;
}


.icnPDF {
    background-image: url( ../images/icons/pdf_4.png) !important;
    background-repeat: no-repeat !important;
}

.icnBack {
    background-image: url( ../images/icons/Previous-icon.png) !important;
    background-repeat: no-repeat !important;
}

.icnNext {
    background-image: url( ../images/icons/Forward_icon.png) !important;
    background-repeat: no-repeat !important;
}

.drill {
    background-image: url( ../images/icons/drill.png) !important;
    background-repeat: no-repeat !important;
}

.icnXL {
    background-image: url( ../images/icons/Excel-icon.png) !important;
}

.icnGoBack {
    background-image: url( ../images/icons/back.png) !important;
}

.icnGoNext {
    background-image: url( ../images/icons/next.png) !important;
}

.icnRepoll {
    background-image: url( ../images/icons/reload.png) !important;
}

.icnXL {
    background-image: url( ../images/icons/Excel-icon.png) !important;
}

.icnLogout {
    background-image: url( ../images/icons/Log-Out-icon.png) !important;
}

.icnBack {
    background-image: url( ../images/icons/Previous-icon.png) !important;
}

.icnNext {
    background-image: url( ../images/icons/forward_icon.png) !important;
}

.drill {
    background-image: url( ../images/icons/drill.png) !important;
}

.icnAlerts {
    background-image: url( ../images/icons/alert2.png) !important;
}

.icnKPI {
    background-image: url( ../images/icons/kpi.png) !important;
}

.icnReport {
    background-image: url( ../images/icons/report.png) !important;
}

.icnSetup {
    background-image: url( ../images/icons/setting.png) !important;
}

.icnCal {
    background-image: url( ../images/icons/icnCalc.png) !important;
}

.icnCustomize {
    background-image: url( ../images/icons/customize_icon.png) !important;
}

.icnDtCols {
    background-image: url( ../images/icons/column-icon.png) !important;
}

.icnCal1 {
    background-image: url( ../images/icons/icnCalc1.png) !important;
}

.icnAccept {
    background-image: url( ../images/icons/accept.png) !important;
}

.icnEmail {
    background-image: url( ../images/icons/mail.png) !important;
}

.icnMsg {
    background-image: url( ../images/icons/msg.png) !important;
}

.icnCalendar {
    background-image: url( ../images/icons/calendar.png) !important;
}

.icndb {
    background-image: url( ../images/icons/db-icon.png) !important;
}

.icnCalendar {
    background-image: url( ../images/icons/calendar.png) !important;
}

.icnFavRpt {
    background-image: url( ../images/icons/Favourites-icon.png) !important;
}

.icnClose {
    background-image: url( ../images/icons/icon_close.png) !important;
}

.icnPrint {
    background-image: url( ../images/icons/print.png) !important;
}

.icnTasks {
    background-image: url( ../images/icons/tasks.png) !important;
}

.icnForum {
    background-image: url( ../images/icons/forum.gif) !important;
}

.icnSave {
    background-image: url( ../images/icons/save.gif) !important;
}

.icnEdit {
    background-image: url( ../images/icons/edit.gif) !important;
}

.icnEdt {
    background-image: url( ../images/icons/edit1.png) !important;
}

.icnCancel {
    background-image: url( ../images/icons/cancel.png) !important;
}

.icnCancel1 {
    background-image: url( ../images/icons/cancel1.png) !important;
}

.icnExit {
    background-image: url( ../images/icons/exit.png) !important;
}

.icnAddNew {
    background-image: url( ../images/icons/add.png) !important;
}

.icnNewMsg {
    background-image: url( ../images/icons/newmsg1.png) !important;
}

.icnSearch {
    background-image: url( ../images/icons/search-icon.png) !important;
}

.goto {
    background-image: url( ../images/icons/goto.png) !important;
}

.icnInfo {
    background-image: url( ../images/icons/icon-info.gif) !important;
}

.icnDel {
    background-image: url(../images/icons/cross.png) !important;
}

.icnRpt {
    background-image: url( ../images/icons/rpts.png) !important;
}

.icnHomePage {
    background-image: url( ../images/icons/home.png) !important;
}

.icnSetHomePage {
    background-image: url( ../images/icons/sethome.png) !important;
}

.icnFilter {
    background-image: url( ../images/icons/filter_icon.png) !important;
    background-repeat: no-repeat !important;
}

.icnClrFilter {
    background-image: url( ../images/icons/clearfilter-icon.png) !important;
    background-repeat: no-repeat !important;
}

.icnDownload {
    background-image: url( ../images/icons/Download-icon.png) !important;
    background-repeat: no-repeat !important;
}

.icnExp {
    background-image: url( ../images/icons/exception-icon.png) !important;
    background-repeat: no-repeat !important;
}

.icnSaveFilter {
    background-image: url( ../images/icons/save-filter_icon.png) !important;
    background-repeat: no-repeat !important;
}

.icnDelFilter {
    background-image: url( ../images/icons/filter-delete.png) !important;
    background-repeat: no-repeat !important;
}

.icnCopyHrs {
    background-image: url( ../images/icons/icnCopy1.png) !important;
    background-repeat: no-repeat !important;
}

.icnCopyBlank {
    background-image: url( ../images/icons/icnCopy.png) !important;
    background-repeat: no-repeat !important;
}

.x-grid-row-over .x-grid-cell-inner {
    font-weight: bold;
}

.x-grid-row-summary .x-grid-cell-inner {
    font-weight: bold; /*display: none;*/
}



.button .x-btn-inner {
    text-align: left;
}


.x-grid-row-summary2 .x-grid-cell-inner {
    font-weight: bold;
    margin: 0px 0px 0px 0px;
    line-height: 10px;
}


.FilterLabel {
    color: #111953;
    font-weight: bold;
    font-size: 12px;
    text-transform: capitalize;
}

.colHeaderCenter {
    color: #000000;
    background-color: #A5B5DE;
    padding-top: 2px;
    padding-bottom: 2px;
    font-weight: bold;
    font-size: 12px;
    text-align: center;
}

.colHeaderLeft {
    color: #000000;
    background-color: #A5B5DE;
    padding-top: 4px;
    padding-bottom: 4px;
    font-weight: bold;
    font-size: 12px;
}

.colHeaderRight {
    color: #000000;
    background-color: #A5B5DE;
    padding-top: 4px;
    padding-bottom: 4px;
    font-weight: bold;
    font-size: 12px;
    text-align: right;
}

.errMsg {
    color: #ff0000;
    font-weight: bold;
    text-align: center;
}

.ChartInfo {
    font-family: "Arial";
    color: #000000;
    font-size: 12px;
    text-align: center;
}

.FormTxtCenter {
    text-align: center;
}

.FormTxtRight {
    text-align: right;
}

.BtnAddNew {
    font-size: 12px;
}

.LHDtlWinRows {
    padding: 3px 3px 3px 3px;
    text-align: center;
}

.MsgSubject {
    padding: 4px 4px 4px 4px;
    background-color: #E1E5EC;
}

.MsgBody {
    padding: 10px 3px 10px 5px;
    background-color: #FFFFFF;
    border: 1px solid #E1E5EC;
}

.divSeparator {
    padding: 4px 4px 4px 4px;
}

.anchorText {
    color: blue;
    text-decoration: underline;
    cursor: pointer;
    cursor: hand;
}

.btnAlign {
    text-align: center;
    margin-left: 7%;
    margin-bottom: 10px;
}

.txtboxAlign {
    margin-left: 0%;
}

.gridLastColumn {
    margin-right: 15px;
}

.hiddenNode {
    display: none;
}
/*.custom-grid .x-grid-cell-last {
    padding-right: 10px;
     background-color:blue;
    
}*/


/*.custom-grid .x-grid-column-last {   
    /*background-color: black;
}*/

.arrow-right {
    width: 0;
    height: 0;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-left: 5px solid blue;
    position: absolute;
}

.jrHeaderRight {
    color: #000000;
    background-color: #cdcdcd;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
    font-weight: bold;
    font-size: 13px;
    text-align: right;
}

.jrHeaderCenter {
    color: #000000;
    background-color: #cdcdcd;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
    font-weight: bold;
    font-size: 13px;
    text-align: center;
}

.jrSubHeaderCenter {
    color: #000000;
    background-color: #cdcdcd;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
    font-weight: bold;
    font-size: 13px;
    text-align: center;
}

.jrNums {
    color: #000000;
    font-size: 13px;
    text-align: right;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
}

.jrDesc {
    color: #000000;
    font-size: 13px;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
    padding-left: 8px;
}

.jrTotalRow {
    background-color: #dedede;
    font-weight: 600;
    color: #000000;
    font-size: 13px;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
    text-align: right;
}

.jrTotalRow1 {
    background-color: #cdcdcd;
    font-weight: 600;
    color: #000000;
    font-size: 13px;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 8px;
    text-align: right;
}

.dvColHeaderLv {
    display: table-cell;
    width: 33%;
    padding: 6px;
    font-size: 12px;
    text-align: center;
}

.dvLvrow {
    display: table-cell;
    font-size: 12px;
    text-align: center;
    padding: 5px;
    width: 33%;
}

div.dvLvContainer > div:nth-of-type(odd) {
    background: #f0f0f0;
}

.lbrHeader {
    background-color: #dddddd;
    padding: 5px;
    font-size: 14px;
    text-align: right;
    border: 1px solid #496077;
    width: 7%;
}

.lbrNums {
    width: 7%;
    padding: 5px;
    text-align: right;
}

.lbrHeader1 {
    background-color: #dddddd;
    padding: 5px;
    font-size: 14px;
    border: 1px solid #496077;
    width: 12%;
}

.lbrDesc {
    color: #000000;
    width: 12%;
    font-size: 13px;
    padding: 5px;
}

.thd {
    position: fixed;
    top: 50px;
    left: 0;
    width: 100%;
    height: 54px;
    background: #090909;
    z-index: 1000;
    -moz-box-sizing: border-box: box-sizing: border-box:
}

.thdr {
    width: 100%;
}


.gridmodal {
    background-color: #fff;
    height: auto;
}

.gridOptTbl {
    height: auto;
}

.gridOptData {
    width: 10%;
    padding-left: 10px;
}

.gridOptRow {
    background-color: #fff;
    cursor: pointer;
    height: 37px;
}

    .gridOptRow:hover {
        background-color: #dddddd;
    }

    .gridOptRow:not( :hover ) {
        background-color: #fff;
    }

.gridOptText {
    padding: 6px;
    color: #05355F;
}

.gridOptText-disabled {
    padding: 6px;
    color: #aaaaaa;
}

.gridOptRow-disabled {
    background-color: #fff;
    height: 37px;
}
